For the complete documentation index, see llms.txt. This page is also available as Markdown.

플랫폼 API OpenAPI

Roboflow Platform 리소스의 HTTP API를 둘러보고 테스트하세요.

다음에서 Platform API를 사용하세요 https://api.roboflow.com 작업 공간, 프로젝트, 데이터세트, 학습, 워크플로 및 관련 리소스를 관리하기 위해.

다음의 Roboflow API 키로 인증하세요 Authorization: Bearer 헤더 또는 api_key 쿼리 매개변수. 다음을 참조하세요 REST API로 인증하기.

이 문서는 이 사이트에 문서화된 공개 Platform API 작업에 대한 초기 참조입니다. Platform API가 아직 완전한 기계 판독 가능한 스키마를 게시하지 않았기 때문에 일부 요청 및 응답 객체는 아직 공개 상태로 남아 있습니다.

모델 및 워크플로 실행 엔드포인트는 다음을 참조하세요 Inference Server OpenAPI.

다음도 할 수 있습니다 소스 OpenAPI 문서 다운로드.

작업 공간 및 프로젝트

Verify credentials and get the authenticated workspace

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/

Get a workspace and its projects

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}

Create a project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/projects

Fork a Universe project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/projects/fork

Get a project and its versions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}

Move a project to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}

Get dataset health metrics

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/health

List models for a project

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/models

Get a dataset version

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}

Move a dataset version to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}/{version}

API 키

List workspace API keys

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys

Create a workspace API key

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/api-keys

Get the workspace publishable API key

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys/publishable

Get an API key

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/api-keys/{keyId}

Update an API key

patch

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
patch/{workspace}/api-keys/{keyId}

Revoke an API key

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

keyIdstringRequired

API key ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/api-keys/{keyId}

프로젝트 폴더

List project folders

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/groups

Create a project folder

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/groups

Update a project folder

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/groups/{folderId}

Delete a project folder

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Responses
204

Completed with no response body.

No content

delete/{workspace}/groups/{folderId}

No content

Add or remove projects in a folder

patch

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

patch/{workspace}/groups/{folderId}/projects

No content

Remove projects from a folder

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

folderIdstringRequired

Project folder ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

delete/{workspace}/groups/{folderId}/projects

No content

데이터세트 버전 및 학습

Generate a dataset version

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/generate

Export a dataset version

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

formatstringRequired

Dataset export format.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/{format}

Start a training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train

Cancel a queued training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train/cancel

Stop an active training job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/train/stop

Get training results

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/training/results

List training runs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings

Create a training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings

Get a training run

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings/get

Get the accepted training recipe

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/{version}/v2/trainings/recipe

Cancel a queued training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings/cancel

Stop an active training run

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/{version}/v2/trainings/stop

Move a training run to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

versioninteger · min: 1Required

Dataset version number.

trainingIdstringRequired

Training run ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/{project}/{version}/v2/trainings/{trainingId}

이미지 및 배치

Upload an image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/dataset/{project}/upload

Upload an annotation

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/dataset/{project}/annotate/{imageId}

Get image details

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/images/{imageId}

Delete images from a project

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
204

Completed with no response body.

No content

delete/{workspace}/{project}/images

No content

Add or remove image tags

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/images/{imageId}/tags

Update metadata and tags for one image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

imageIdstringRequired

Image ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/images/{imageId}/metadata

Update metadata and tags for multiple images

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/images/metadata

List image batches

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/batches

Get an image batch

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

batchIdstringRequired

Image batch ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/batches/{batchId}

Start a dataset ZIP upload

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/upload/zip

Get dataset ZIP upload status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/upload/zip/{taskId}

주석

List annotation jobs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/jobs

Create an annotation job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/jobs

Get an annotation job

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

jobIdstringRequired

Job ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/jobs/{jobId}

Create an Auto Label job

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/autolabel

Get Auto Label job status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

jobIdstringRequired

Job ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/autolabel/jobs/{jobId}

워크플로

List Workflows

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows

Get a Workflow

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows/{workflowId}

Move a Workflow to Trash

delete

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
delete/{workspace}/workflows/{workflowId}

List Workflow versions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/workflows/{workflowId}/versions

Create a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/createWorkflow

Update a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/updateWorkflow

Fork a Workflow

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/forkWorkflow

Create a Workflow token

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/workflowToken

에이전트

Send a message to Roboflow Agent

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/agent/chat

Publish a Workflow created by Roboflow Agent

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

workflowIdstringRequired

Workflow URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/agent/workflows/{workflowId}/publish

List Roboflow Agent conversations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/agent/conversations

Get a Roboflow Agent conversation

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

conversationIdstringRequired

Conversation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/agent/conversations/{conversationId}

검색

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/universe/search

Search public Universe projects by image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/universe/search

Search images in a project

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/search

Search images across a workspace

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/search/v1

Export image search results

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
202

Accepted for asynchronous processing.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/search/export

Get image search export status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/search/export/{taskId}

휴지통 및 작업

List deleted resources

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/trash

Restore a deleted resource

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/trash/restore

Get asynchronous task status

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

taskIdstringRequired

Asynchronous task ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/asynctasks/{taskId}

배포

Get project deployment settings

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy

Select the deployed project model

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/model

Get Active Learning settings

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy/active-learning

Enable Active Learning

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/enable

Disable Active Learning

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/disable

Update Active Learning settings

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/{project}/deploy/active-learning/configuration

List Active Learning images

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

projectstringRequired

Project URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/{project}/deploy/active-learning/images

모니터링

Get inference usage statistics

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/inference-stats

Attach metadata to inference records

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/inference-stats/metadata

Vision Events

Create a Vision Event

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events

Create Vision Events in a batch

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/batch

Upload a Vision Event image

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/upload

Query Vision Events

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/query

Delete Vision Events

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/delete

Get a custom metadata schema

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/vision-events/custom-metadata-schema/{useCaseId}

List Vision Event use cases

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/vision-events/use-cases

Create a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases

Update a Vision Event use case

put

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
put/vision-events/use-cases/{useCaseId}

Archive a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases/{useCaseId}/archive

Unarchive a Vision Event use case

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
useCaseIdstringRequired

Vision Events use case ID.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/vision-events/use-cases/{useCaseId}/unarchive

배포 관리자

List Deployment Manager devices

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2

Register a Deployment Manager device

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
201

Created.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/devices/v2

Get the default device configuration

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/default-config

Get a device

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}

Get device configuration

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/config

Get device configuration history

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/config/history

List device streams

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/streams

Get a device stream

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

streamIdstringRequired

Device stream ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/streams/{streamId}

Get device logs

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/logs

Get device telemetry

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/telemetry

Get device events

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

deviceIdstringRequired

Deployment Manager device ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/devices/v2/{deviceId}/events

모델 평가

List model evaluations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals

Get a model evaluation

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}

Get mAP results

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/map-results

Get a confidence sweep

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/confidence-sweep

Get performance by class

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/performance-by-class

Get a confusion matrix

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/confusion-matrix

Get vector analysis

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/vector-analysis

Get image predictions

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/image-predictions

Get evaluation recommendations

get

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

evaluationIdstringRequired

Model evaluation ID.

Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
get/{workspace}/model-evals/{evaluationId}/recommendations

청구

Get a billing usage report

post

This operation is part of the public Roboflow Platform API.

Authorizations
AuthorizationstringRequired

Roboflow API key or OAuth access token.

Path parameters
workspacestringRequired

Workspace URL slug.

Body

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
Responses
200

Successful response.

application/json

Operation-specific JSON object. See the linked guide for defined fields.

Other propertiesanyOptional
post/{workspace}/billing-usage-report

마지막 업데이트

도움이 되었나요?